---
tags: work
title: UI Engineer at Oncue
description: (Apr 2021 - Apr 2022) React, component systems, accessibility and more!
date: 2021-04-19
image: /img/content/oncue-thumb.png
pinned: true
---

Before and especially after the effects that COVID-19 had on people and their families across the country [Oncue](https://www.oncue.co/) has been at the center of supporting small businesses. The layoffs that came from rapidly shifting business needs as corporations tried to survive meant that the people now let go also needed to survive. What better way than to start your very own moving company starting with a truck and your cell phone.

Oncue has been supporting small moving companies through innovative simple to use technologies. Scheduling moves and multiple trucks, movers time,estimates, driving distances and inventory a little tech help can go a long way.

## Design System

<video src="/img/content/design-system.mp4" autoplay loop muted><a href="https://designsystem.oncueapp.com/">See design system here</a></video>

From `git init` I've worked with the talented team at Oncue to build out a design system of react components that are accessible, automation tested, mobile-first and ready for both current and future projects to consume. It was really exciting taking the lead on a project that is now widely being adopted within the company in such a short time-span.

[![Design System in Storybook](/img/content/oncue-ds.jpg) Check it out at https://designsystem.oncueapp.com/](https://designsystem.oncueapp.com/)

I truly believe this project has changed the way Oncue will build software forever moving forward for the better.

### Using it in the Product

The design system has successfully been integrated into the product to reimagine the user experience one page at a time during a massive redesign effort. Every sprint is another win.

<video src="/img/content/oncue-product.mp4" autoplay loop muted><a href="https://oncue.co/">See product site here</a></video>

It's great to see the same amount of attention given to mobile as has been given to the desktop site. We're making major strides in usability and accessibility.

![Mobile Suppor](/img/content/oncue-mobile.png)

